Store APIsCoupons
List coupons
Returns a list of coupons on the store. Requires the COUPONS_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25search?string
Length
length <= 128type?|
enabled?boolean
sortBy?||||
sortOrder?|
Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/coupons/"{ "ok": true, "data": { "items": [ { "id": "cpn_p2v8q1mzj0kxw5h7n4tr3bcf", "code": "LAUNCH20", "displayName": "Launch week 20% off", "description": "Limited-time launch discount.", "type": "PERCENTAGE", "value": 20, "minimumPurchase": 1000, "maxUses": 500, "maxUsesPerCustomer": 1, "firstPurchaseOnly": false, "startsAt": "2026-05-01T00:00:00.000Z", "expiresAt": "2026-06-01T00:00:00.000Z", "enabled": true, "timesUsed": 42, "productIds": [], "createdAt": "2026-04-28T08:30:00.000Z", "updatedAt": "2026-05-12T11:15:00.000Z" } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}